<?php 
ob_start(); 

require_once(dirname(__FILE__).'/../../common.inc.php');
include_once(dirname(__FILE__).'/dashlet.inc.php'); 
require_once(dirname(__FILE__).'/visFunctions.inc.php');

// initialization stuff
pre_init();

// start session
init_session();

// grab GET or POST variables 
grab_request_vars();

// check prereqs
check_prereqs();

// check authentication
check_authentication(false);

// Process variables and submit to dashboard 
$url = grab_request_var('url'); 
$title = grab_request_var('dashletName'); 
$board = grab_request_var('boardName');  

// Generate a div ID
$div_id = "visContainer".uniqid();

$data = explode("&", $url);
foreach ($data as &$d) {
	if (strpos($d, "div=") !== false) {
		$d = "div=" . $div_id;
	}
}
$url = implode("&", $data);

$dashleturl = '/includes/components/graphexplorer/'.$url;
$dargs = array('url' => $dashleturl, 'divId' => $div_id);

//$args=serialize(base64_encode($dargs)); 
//add_dashlet_to_dashboard($userid=0,$boardid,$name,$title,$opts,$args)
add_dashlet_to_dashboard(0, $board, 'graphexplorer', $title, null, $dargs);

/* Old way...
$returnto = urlencode($url); 
$newurl=get_base_url().'/includes/components/graphexplorer/?r='.$returnto;  
header("Location: $newurl"); 
*/

// New way ... just prints json
print json_encode(array('success' => 1));

ob_end_flush(); 
?>